[med-svn] [fast5] 03/03: Update patches
Afif Elghraoui
afif at moszumanska.debian.org
Wed Dec 28 07:32:53 UTC 2016
This is an automated email from the git hooks/post-receive script.
afif pushed a commit to branch master
in repository fast5.
commit 278f4f6d6870190e24adda60a2d43e0875c94005
Author: Afif Elghraoui <afif at debian.org>
Date: Tue Dec 27 23:32:30 2016 -0800
Update patches
---
debian/patches/examples.patch | 28 ++++++++++++++++++----------
1 file changed, 18 insertions(+), 10 deletions(-)
diff --git a/debian/patches/examples.patch b/debian/patches/examples.patch
index 9510d88..0b07aa9 100644
--- a/debian/patches/examples.patch
+++ b/debian/patches/examples.patch
@@ -6,7 +6,7 @@ Forwarded: not-needed
Last-Update: 2016-10-20
--- fast5.orig/src/Makefile
+++ fast5/src/Makefile
-@@ -4,9 +4,9 @@
+@@ -4,12 +4,12 @@
.DELETE_ON_ERROR:
.PHONY: all help list clean check_hdf5
@@ -17,16 +17,24 @@ Last-Update: 2016-10-20
+HDF5_INCLUDE_DIR ?= ${HDF5_DIR}/include/hdf5/serial
+HDF5_LIB_DIR ?= $(wildcard ${HDF5_DIR}/lib/*/hdf5/serial)
HDF5_LIB = hdf5
+-TCLAP_DIR = tclap
+-HPPTOOLS_DIR = hpptools
++TCLAP_DIR ?= tclap
++HPPTOOLS_DIR ?= hpptools
- TARGETS = f5dump f5dump-full hdf5-mod f5-mod
-@@ -29,5 +29,5 @@
- @[ -f "${HDF5_INCLUDE_DIR}/H5pubconf.h" ] || { echo "HDF5 headers not found" >&2; exit 1; }
- @[ -f "${HDF5_LIB_DIR}/lib${HDF5_LIB}.so" ] || [ -f "${HDF5_LIB_DIR}/lib${HDF5_LIB}.a" ] || { echo "HDF5 library not found" >&2; exit 1; }
+ TARGETS = f5ls f5ls-full hdf5-mod f5-mod
+
+@@ -37,8 +37,8 @@
+ check_hpptools:
+ @[ -f "${HPPTOOLS_DIR}/include/alg.hpp" ] || { echo "HPPTOOLS not found; get it from https://github.com/mateidavid/hpptools.git" >&2; exit 1; }
-%: %.cpp fast5.hpp hdf5_tools.hpp | check_hdf5
- ${CXX} -std=c++11 -O0 -g3 -ggdb -fno-eliminate-unused-debug-types -Wall -Wextra -Wpedantic -isystem ${HDF5_INCLUDE_DIR} -o $@ $< -L${HDF5_LIB_DIR} -Wl,--rpath=${HDF5_LIB_DIR} -l${HDF5_LIB} -lpthread -lz -ldl
+%: %.cpp | check_hdf5
+ ${CXX} ${CPPFLAGS} ${CXXFLAGS} -std=c++11 -O0 -g3 -ggdb -fno-eliminate-unused-debug-types -Wall -Wextra -Wpedantic -isystem ${HDF5_INCLUDE_DIR} -o $@ $< -L${HDF5_LIB_DIR} -Wl,--rpath=${HDF5_LIB_DIR} -l${HDF5_LIB} -lpthread -lz -ldl
+
+ f5dump: f5dump.cpp fast5.hpp hdf5_tools.hpp | check_hdf5 check_tclap check_hpptools
+ ${CXX} -std=c++11 -O0 -g3 -ggdb -fno-eliminate-unused-debug-types -Wall -Wextra -Wpedantic -isystem ${HDF5_INCLUDE_DIR} -isystem ${TCLAP_DIR}/include -I ${HPPTOOLS_DIR}/include -o $@ $< -L${HDF5_LIB_DIR} -Wl,--rpath=${HDF5_LIB_DIR} -l${HDF5_LIB} -lpthread -lz -ldl
--- fast5.orig/src/hdf5-mod.cpp
+++ fast5/src/hdf5-mod.cpp
@@ -2,7 +2,7 @@
@@ -40,17 +48,17 @@ Last-Update: 2016-10-20
using namespace hdf5;
--- fast5.orig/src/f5dump.cpp
+++ fast5/src/f5dump.cpp
-@@ -2,7 +2,7 @@
- #include <iostream>
- #include <string>
+@@ -6,7 +6,7 @@
+ #include <tclap/CmdLine.h>
+ #include "alg.hpp"
-#include "fast5.hpp"
+#include <fast5.hpp>
using namespace std;
---- fast5.orig/src/f5dump-full.cpp
-+++ fast5/src/f5dump-full.cpp
+--- fast5.orig/src/f5ls-full.cpp
++++ fast5/src/f5ls-full.cpp
@@ -2,7 +2,7 @@
#include <iostream>
#include <string>
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/fast5.git
More information about the debian-med-commit
mailing list